<?php
/*
Plugin Name: Pending Notification
Plugin URI: http://www.dagondesign.com/articles/draft-notification-plugin-for-wordpress/
Description: Sends an email to the site admin when a pending post is saved.
Author: Dagon Design
Version: 1.22
Author URI: http://www.dagondesign.com
*/


function dddn_process($id) {

	global $wpdb;
	
	$tp = $wpdb->prefix;

	$result = $wpdb->get_row("
		SELECT post_status, post_title, user_login, user_nicename, display_name 
		FROM {$tp}posts, {$tp}users 
		WHERE {$tp}posts.post_author = {$tp}users.ID 
		AND {$tp}posts.ID = '$id'
	");

	if (($result->post_status == "pending")) {

		$message = "";
		$message .= "تدوينة بانتظار المراجعة في  '" . get_bloginfo('name') . "'\n\n";
		$message .= "العنوان: " . $result->post_title . "\n\n";
	
		$message .= "الكاتب: " . $result->display_name . "\n\n";
		// $message .= "الكاتب: " . $result->user_nicename . "\n\n";
		// $message .= "الكاتب: " . $result->user_login . "\n\n";

		$message .= "رابط التدوينة: " . get_permalink($id);

		$subject = "تدوينة بانتظار المراجعة في '" . get_bloginfo('name') . "'";
		
		$recipient = get_bloginfo('admin_email');
		
		mail($recipient, $subject, $message);

	}

}


add_action('save_post', 'dddn_process');

?>